Skip to main content
GET
/
holders
Get top holders for markets
curl --request GET \
  --url https://data-api.polymarket.com/holders
import requests

url = "https://data-api.polymarket.com/holders"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://data-api.polymarket.com/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "token": "<string>",
    "holders": [
      {
        "proxyWallet": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
        "bio": "<string>",
        "asset": "<string>",
        "pseudonym": "<string>",
        "amount": 123,
        "displayUsernamePublic": true,
        "outcomeIndex": 123,
        "name": "<string>",
        "profileImage": "<string>",
        "profileImageOptimized": "<string>"
      }
    ]
  }
]
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Query Parameters

limit
integer
default:20

Maximum number of holders to return per token. Capped at 20.

Required range: 0 <= x <= 20
market
string[]
required

Comma-separated list of condition IDs.

0x-prefixed 64-hex string

Pattern: ^0x[a-fA-F0-9]{64}$
minBalance
integer
default:1
Required range: 0 <= x <= 999999

Response

Success

token
string
holders
object[]